//*************************************
// spltr_onmousedown
//*************************************
function spltr_onmousedown(el)
{
	el.setCapture(true);
	el.spltrY = event.clientY;
	el.spltrX = event.clientX;
	el.spltrDrag = true;
}

//*************************************
// spltr_onmouseup
//*************************************
function spltr_onmouseup(el)
{
	el.releaseCapture();
	el.spltrDrag = false;
}

//*************************************
// spltr_onmousemove
//*************************************
function spltr_onmousemove(el)
{
	if (!el.hidden)
	{
		if (el.spltrType == 0) spltr_onmousemove_h(el);
		else if (el.spltrType == 1) spltr_onmousemove_v(el);
	}
}

function spltr_onmousemove_h(el)
{
	if (el.spltrDrag)
	{
		var dy = event.clientY - el.spltrY;

		var top = el.offsetTop + dy;

		top = Math.max (top, 0);
		top = Math.min (top, el.frm.offsetHeight - el.offsetHeight);

		el.style.pixelTop = top;

		spltr_adjust(el);
    
    el.spltrY = event.clientY;
	}
}

function spltr_onmousemove_v(el)
{
	if (el.spltrDrag)
	{
		var dx = event.clientX - el.spltrX;

		var left = el.offsetLeft + dx;

		left = Math.max (left, 0);
		left = Math.min (left, el.frm.offsetWidth - el.offsetWidth);

		el.style.pixelLeft = left;

		spltr_adjust(el);

		el.spltrX = event.clientX;
	}
}

//*************************************
//*************************************
// ENTRY POINT: spltr_set
//*************************************
//*************************************
function spltr_set_h(frm,  pane1, dividerEl, pane2)
{
  spltr_set(frm,  pane1, dividerEl, pane2, 0);
}

function spltr_set_v(frm,  pane1, dividerEl, pane2)
{
  spltr_set(frm,  pane1, dividerEl, pane2, 1);
}

function spltr_set(frm,  pane1, dividerEl, pane2, type)
{
	dividerEl.frm = frm;
	dividerEl.pane1 = pane1;
	dividerEl.pane2 = pane2;
	dividerEl.spltrDrag = false;
	dividerEl.spltrType = type;
	frm.divider = dividerEl;

	frm.style.position = "absolute";
	pane1.style.position = "absolute";
	dividerEl.style.position = "absolute";
	pane2.style.position = "absolute";

	dividerEl.onmousedown = function() {spltr_onmousedown(this)};
	dividerEl.onmouseup = function() {spltr_onmouseup(this)};
	dividerEl.onmousemove = function() {spltr_onmousemove(this)};
	dividerEl.onmove = function() {spltr_adjust(this)};
	
	frm.onresize = function() {spltr_adjust(this.divider)};

	spltr_adjust(dividerEl);
}

//*************************************
// spltr_adjust
//*************************************
function spltr_adjust(divider) 
{
	if (divider.spltrType == 0) spltr_adjust_h(divider);
	else if (divider.spltrType == 1) spltr_adjust_v(divider);
}

function spltr_adjust_h(divider) 
{
  if (divider.offsetTop + divider.offsetHeight > 
    divider.frm.offsetHeight) divider.style.pixelTop = divider.frm.offsetHeight -
    divider.offsetHeight;

	divider.pane1.style.pixelTop = 0;
	divider.pane1.style.pixelHeight = divider.offsetTop;

	divider.pane2.style.pixelTop = divider.offsetTop + divider.offsetHeight;
	divider.pane2.style.pixelHeight = 
    divider.frm.offsetHeight - divider.offsetTop - divider.offsetHeight;

	if (divider.pane2.style.pixelHeight == 0) divider.pane2.style.display = "none";
	else  divider.pane2.style.display = "block";
	if (divider.pane1.style.pixelHeight == 0) divider.pane1.style.display = "none";
	else  divider.pane1.style.display = "block";
}

function spltr_adjust_v(divider) 
{
	divider.pane1.style.pixelLeft = 0;
	divider.pane1.style.pixelWidth = divider.offsetLeft;

	divider.pane2.style.pixelLeft = divider.offsetLeft + divider.offsetWidth;
	divider.pane2.style.pixelWidth = 
    divider.frm.offsetWidth - divider.offsetLeft - divider.offsetWidth;

	if (divider.pane2.style.pixelWidth == 0) divider.pane2.style.display = "none";
	else  divider.pane2.style.display = "block";
	if (divider.pane1.style.pixelWidth == 0) divider.pane1.style.display = "none";
	else  divider.pane1.style.display = "block";
}

//*************************************
// spltr_set_pos
//*************************************
function spltr_get_pos(divider)
{
	if (divider.restorePos) return divider.restorePos;
	
	if (divider.spltrType == 0)
		return divider.style.pixelTop;
	else if (divider.spltrType == 1)
		return divider.style.pixelLeft;
}

//*************************************
// spltr_set_pos
//*************************************
function spltr_set_pos(divider, pos)
{
  if (divider.spltrType == 0)
    divider.style.pixelTop = pos;
  else if (divider.spltrType == 1)
    divider.style.pixelLeft = pos;
    
  spltr_adjust(divider);
}

//*************************************
// spltr_set_pos
//*************************************
function spltr_hide_pane(divider, paneIx, hide)
{
	if (hide) 
	{
		divider.restorePos = spltr_get_pos(divider);
		divider.hidden = true;
		spltr_set_pos(divider, 99999);
	}
	else
	{
		divider.hidden = false;
		spltr_set_pos(divider, divider.restorePos);
	}
	
	
}

